.block__steps{
    position: relative;
    z-index: 15;
    margin-top: -100px;
    padding: 0;

    .home-steps__wrapper{
        padding: 90px 0;
    }

    &.guru-block--deco .home-steps__wrapper{
        padding: 180px 0;
        clip-path: polygon(0 8%, 100% 0, 100% 92%, 0% 100%);
    }



    &.guru-block--deco:before,
    &.guru-block--deco:after{
        content: "";
        position: absolute;
        height: 81px;
        width: 1px;
        background: #425466;
        left: 14%;
        top: 40px;
        z-index: 10;
    }

    &.guru-block--deco:after{
        top: initial;
        bottom: -42px;
    }

    .slick-list{
        padding: 1rem 0;
    }

    .steps__illustrations{
        transition: .5s ease;
        width: 510px;
        max-width: 100%;

        img{
            transition: 0.9s cubic-bezier(0.17, 0.84, 0.44, 1);
        }

        .slick-current img{
            transform: scale3d(1.05, 1.05, 1.05);
        }
    }

    .steps__step{
        color: #9F9DC7;
        padding-bottom: 50px;
        cursor: pointer;
        transition: .5s ease;
        position: relative;
        padding-top: .25rem;

        .icon,
        i{
            transition: .5s ease;
        }

        i{
            line-height: 1;
        }

        &:before{
            content: "";
            display: block;
            position: absolute;
            left: -49px;
            top: 76px;
            width: 1px;
            background: $color__utilitary;
            height: calc(100% - 24px);
        }

        &:last-of-type:before{
            display: none;
        }

        &:last-of-type{
            padding-bottom: 0;
        }

        &--active .icon{
            background: $color__main;

            i{
                color: $color__white;
            }
        }

        &:before{
            display: none;
        }

        &.steps__step--active{
           padding-left: 1rem;
        }

        .icon{
            position: absolute;
            top: 0;
            left: -5rem;
            border-radius: 50%;
            width: 56px;
            height: 56px;
            text-align: center;
            display: flex;
            align-items: center;
            border: 1px solid $color__orange;
            background: transparent;
            color: $color__orange;
            font-size: 1.25rem;
            width: 2.875rem;
            height: 2.875rem;
            line-height: 2.875rem;
            border-radius: 50%;
        }

        &.steps__step--active .icon,
        &:hover .icon{
            background: $color__orange;
            color: $color__titles;
        }

        &.steps__step--active .icon{
            margin-left: 1rem;
        }
    }
}

@media screen and (max-width: $wrap__sm){
    .block__steps{
        padding: 60px 0;
    }

    .block__steps .steps__step{
        padding-bottom: 50px;
    }
}
